Bugzilla will be upgraded to version 5.0 on December 2, 2018. The outage period for the upgrade will start at 0:00 UTC and have a duration of 12 hours
Bug 586382 - gpk-update-viewer reports success when a failure happened
gpk-update-viewer reports success when a failure happened
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-packagekit (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-27 08:57 EDT by Felix Möller
Modified: 2014-01-21 18:14 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 11:54:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Felix Möller 2010-04-27 08:57:26 EDT
Description of problem:
I am hit by bug #586258 but the problem worse from the gui perspective is that the updater does not indicate in any way that an error occured. It just reports success and then finds again the same update.

Version-Release number of selected component (if applicable):
gnome-packagekit-2.30.1-1.fc13.i686

How reproducible:
100%

Steps to Reproduce:
1. start gpk-update-viewer
2. press the install updates button
3. look at the message presented to you:
Updates installed
All updates were installed successfully.
  
Actual results:
the update has not been applied.

Expected results:
update installed.
Comment 1 Richard Hughes 2010-04-28 04:29:13 EDT
Reassigning to yum for comments: Seth, could yum provide an exception (or method call) for this kind of thing which PackageKit can detect? I really don't want to try and screenscrape this kind of thing. Thanks.
Comment 2 Panu Matilainen 2010-04-28 06:48:11 EDT
Yum TransactionMember objects remember their status, txmbr.output_state is TS_FAILED for the failed elements.
Comment 3 seth vidal 2010-04-29 14:29:41 EDT
Also - yum history should have the output from the transaction available in the history object.
Comment 4 Bug Zapper 2011-06-02 10:48:52 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2011-06-27 11:54:25 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.